Subject: Re: [PATCH v2 0/3] sunrpc: Fix `make W=1` build issues

From: Andy Shevchenko <[email-masked]>
Date: Wed, 4 Feb 2026 16:45:26 +0200

On Wed, Feb 04, 2026 at 09:30:30AM -0500, Chuck Lever wrote:
> On 2/4/26 9:28 AM, Jeff Layton wrote:
> > On Wed, 2026-02-04 at 10:41 +0100, Andy Shevchenko wrote:

...

> >> Andy Shevchenko (3):
> >>   nfs/blocklayout: Fix compilation error (`make W=1`) in
> >>     bl_write_pagelist()
> >>   sunrpc: Kill RPC_IFDEBUG()
> >>   sunrpc: Fix compilation error (`make W=1`) when dprintk() is no-op

> > These all look like good changes to me. The first patch should go to
> > Trond/Anna and Chuck will probably pick up the other two?

> That's what I was thinking, as long as there aren't any dependencies
> between 1/3 and the others.

There are no explicit compilation dependencies, but if one will wonder
in the future the third patch alone may "fix" the first issue. That's
why I prefer them going together.

-- 
With Best Regards,
Andy Shevchenko